[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [augeas-devel] Stupid C question on Linux



On Fri, 2009-03-27 at 09:00 -0400, Bryan Kearney wrote:
> This is a stupid linux question. I was looking into the following bug:
> 
> http://projects.reductivelabs.com/issues/2106
> 
> and I figured I would build the latest augeas to test against that. I am 
> running F10 and that only has augeas 0.3.6. So.. I pulled the code, did 
> a make install (as sudo), and then re-ran puppet (which is in ruby). 
> Augeas still picked up the 0.3.6 lib.. not the newest one I built. I had 
> to uninstall augeas and build a 0.4.0 rpm.
> 
> Was there a way to configure ruby to grab the locally build augeas?

The power of autotools ;) What I usually do (and you don't need to be
root for any of this) is:

./configure --prefix=/tmp/augeas-inst
make
make install

/tmp/augeas-inst/bin/augtool

LD_LIBRARY_PATH=/tmp/augeas-inst/lib ruby

David




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]